Subject: bug#34721: closed (Re: bug#34721: 26.1: map.el 1.2 refers to two different libraries)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Mar 2019 12:10:04 +0000

Your bug report

#34721: 26.1: map.el 1.2 refers to two different libraries

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34721: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34721
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34721: 26.1: map.el 1.2 refers to two different libraries
From: Nicolas Petton <[email-masked]>
To: Ian Dunn <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Mon, 04 Mar 2019 13:09:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ian Dunn <[email-masked]> writes:

> The version of map.el in GNU ELPA right now is labeled version 1.2, as
> is the builtin version with Emacs 26.1.  However, the ELPA version
> contains plist support, which I'd like to include in my packages.  If
> I try adding (map "1.2") to my package's Package-Requires line, 26.1
> will think 1.2 is already installed and ignore it.

Thanks for reporting this issue.
I just bumped the latest version to 2.0.

Cheers,
Nico

Subject: 26.1: map.el 1.2 refers to two different libraries
From: Ian Dunn <[email-masked]>
To: [email-masked]
Date: Sun, 03 Mar 2019 10:47:55 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

The version of map.el in GNU ELPA right now is labeled version 1.2, as is the builtin version with Emacs 26.1.  However, the ELPA version contains plist support, which I'd like to include in my packages.  If I try adding (map "1.2") to my package's Package-Requires line, 26.1 will think 1.2 is already installed and ignore it.

Since there are newer features in the ELPA version, it should have a higher version number.

-- 
Ian Dunn